org.eclipse.net4j.util.io

## Interface ExtendedDataInput

- All Superinterfaces:
    DataInput
  All Known Implementing Classes:
    DataInputExtender, ExtendedDataInput.Delegating, ExtendedDataInputStream

      public interface ExtendedDataInput
      extends DataInput

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExtendedDataInput.Delegating`
    `static class` | `ExtendedDataInput.Stream`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `readByteArray()`
    `<T extends Enum<?>> T` | `readEnum(Class<T> type)`
    `Throwable` | `readException()`
    `Object` | `readObject()`
    `Object` | `readObject(ClassLoader classLoader)`
    `Object` | `readObject(ExtendedIOUtil.ClassResolver classResolver)`
    `String` | `readString()`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Method Detail

    - #### readByteArray

          byte[] readByteArray()
                        throws IOException

      Throws:
        `IOException`

    - #### readObject

          Object readObject()
                     throws IOException

      Throws:
        `IOException`

    - #### readObject

          Object readObject(ClassLoader classLoader)
                     throws IOException

      Throws:
        `IOException`

    - #### readObject

          Object readObject(ExtendedIOUtil.ClassResolver classResolver)
                     throws IOException

      Throws:
        `IOException`

    - #### readString

          String readString()
                     throws IOException

      Throws:
        `IOException`

    - #### readEnum

          <T extends Enum<?>> T readEnum(Class<T> type)
                                  throws IOException

      Throws:
        `IOException`
      Since:
        3.0

    - #### readException

          Throwable readException()
                           throws IOException

      Throws:
        `IOException`
      Since:
        3.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html